var express = require('express');
var port=8888;

var app = express();
app.set('view engine', "ejs");

app.get('/', function (req, res) {
	res.setHeader('Content-Type', 'text/plain;charset=UTF-8');
	res.end("Accueil");
})
.get('/index.html', function () {
	res.setHeader('Content-Type', 'text/plain;charset=UTF-8');
	res.render('index.ejs');	
})
.get('/parite-de-:nb', function (req, res) {
	res.setHeader('Content-Type', 'text/html;charset=UTF-8');
	res.render('parite.ejs',{nombre:req.params.nb});
})
.get('/:nb1-fois-:nb2', function (req, res) {
	res.setHeader('Content-Type', 'text/html;charset=UTF-8');
	res.render('table.ejs',{lignes:req.params.nb1,colonnes:req.params.nb2});
})
.use(function (req, res, next) {
	res.setHeader('Content-Type', 'text/plain;charset=UTF-8');
	res.status(404).send("Cette page n'existe pas.");
})
.listen(8888, function (req, res, next) {
	console.log('Le serveur tourne sur le port 8888');
});